CREATEEKCERT(1)

NAME
createekcert - Runs TPM2 createekcert

SYNOPSIS
createekcert -alg rsa -cakey cakey.pem -capwd rrrr -v
createekcert -alg ecc -cakey cakeyecc.pem -capwd rrrr -caalg ec -v

DESCRIPTION
createekcert

Provisions an EK certificate, using the default IWG template E.g.,

[-pwdp
    platform hierarchy password (default empty)]

-cakey
    CA PEM key file name

[-capwd
    CA PEM key password (default empty)]

[-caalg
    CA key algorithm (rsa or ec) (default rsa)]

[-alg
    (rsa or ecc certificate) (default rsa)]

[-noflush
    do not flush the primary key]

[-of
    DER certificate output file name]

Currently:

    Certificate issuer, subject, and validity are hard coded.